Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226540 - Merge Review: wireless-tools
Summary: Merge Review: wireless-tools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:16 UTC by Nobody's working on this, feel free to take it
Modified: 2014-12-15 13:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-22 01:07:07 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:16:43 UTC
Fedora Merge Review: wireless-tools

http://cvs.fedora.redhat.com/viewcvs/devel/wireless-tools/
Initial Owner: caillon@redhat.com

Comment 1 Kevin Fenzi 2007-12-21 03:21:47 UTC
I'd be happy to review this package. 
Look for a full review in a bit. 


Comment 2 Kevin Fenzi 2007-12-21 03:48:57 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL+)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
ae81659767bfe58d2c92a07eb453dc64  wireless_tools.29.pre22.tar.gz
ae81659767bfe58d2c92a07eb453dc64  wireless_tools.29.pre22.tar.gz.1
OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
See below - Should package latest version
see below - check for outstanding bugs on package.

Issues:

1. NON BLOCKER: might include the COPYING file as a doc?

2. NON BLOCKER: The 29 version is out... perhaps upgrade to that from this pre22
version?

3. rpmlint says:

wireless-tools.src: E: non-utf8-spec-file
/tmp/wireless-tools-29-0.2.pre22.fc9.src.rpm.16740/wireless-tools.spec
wireless-tools.src: E: tag-not-utf8 %changelog

Suggest: run iconv on the spec file to make it UTF8?

wireless-tools.src:42: W: setup-not-quiet

Suggest: add -q to setup line?

wireless-tools.x86_64: W: incoherent-version-in-changelog 1:29.0.2.pre22
1:29-0.2.pre22.fc9

Suggest: don't use dist tags in changelog entries.

wireless-tools-devel.x86_64: W: no-documentation

Suggest: ignore

wireless-tools-devel.x86_64: W: symlink-should-be-relative /usr/lib64/libiw.so
/lib64/libiw.so.29

Suggest: should use a relative link? Perhaps this is something wrong in the
makefile patch?

4. 14 outstanding bugs, none of which seem to be at all packageing related.

All these are very minor issues... very clean package.
Would you be willing to make the minor changes for rpmlint?
Or if you like I would be happy to do so for you...


Comment 3 Christopher Aillon 2007-12-22 00:54:25 UTC
> wireless-tools.x86_64: W: incoherent-version-in-changelog 1:29.0.2.pre22
> 1:29-0.2.pre22.fc9
>
> Suggest: don't use dist tags in changelog entries.

Looks like this is actually a typo... it's missing the "-" (to delimit the
version from the release).

Updated to 29 and fixed the rest of the issues I believe.

Comment 4 Kevin Fenzi 2007-12-22 01:07:07 UTC
Excellent. Thanks for your quick attention here... 

Everything looks fixed, with the exception of COPYING included as a doc. 
Might be good to do that sometime, but not a blocker... 

This package is APPROVED. 

Comment 5 Mosaab Alzoubi 2014-12-14 15:07:09 UTC
Package Change Request
======================
Package Name: wireless-tools
New Branches: el5 el6 epel7
Owners: moceap dcbw

Comment 6 Gwyn Ciesla 2014-12-15 13:16:44 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.